# `pydispatch`

#### Multi-consumer multi-producer dispatching mechanism

The pydispatch module is accessible via the `sqlobject.include` module.

## Attributes

#### a `__package__`

    None

## Modules

The `sqlobject.include.pydispatch` module exposes 5 submodules:

`dispatcher`
  Multiple-producer-multiple-consumer signal-dispatching
`errors`
  Error types for dispatcher mechanism
`robust`
  Module implementing error-catching version of send (sendRobust)
`robustapply`
  Robust apply mechanism
`saferef`
  Refactored "safe reference" from dispatcher.py

See the source for more information.